Sub Center_Example()
' This example adds an arc to the drawing and returns the area & radius.
Dim myArc As AcadArc
Dim cenPt(0 To 2) As Double
cenPt(0) = 4: cenPt(1) = 2: cenPt(2) = 0
'Add the arc to the .dwg
Set myArc = ThisDrawing.ModelSpace.AddArc(cenPt, 3.52, 1, 3)
' Display the entity
myArc.Update
Dim getCenPt As Variant
getCenPt = myArc.Center
MsgBox "The center point of the arc is" _
& Chr(13) & "x = " & getCenPt(0) _
& Chr(13) & "y = " & getCenPt(1) _
& Chr(13) & "z = " & getCenPt(2)
End Sub
Bricscad™ is commercialized by Bricsys NV. Bricsys NV and Vondle NV are fully owned subsidiaries of Menhirs NV. © 2001- Menhirs NV - All rights reserved. |